Debian Bug report logs - #711029
guile-1.8: FTBFS: texinfo errors

version graph

Package: src:guile-1.8; Maintainer for src:guile-1.8 is Rob Browning <rlb@defaultvalue.org>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Tue, 4 Jun 2013 06:00:01 UTC

Severity: serious

Tags: jessie, sid

Found in version guile-1.8/1.8.8+1-8

Fixed in version guile-1.8/1.8.8+1-9

Done: Rob Browning <rlb@defaultvalue.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#711029; Package src:guile-1.8. (Tue, 04 Jun 2013 06:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
New Bug report received and forwarded. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Tue, 04 Jun 2013 06:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: submit@bugs.debian.org
Subject: guile-1.8: FTBFS: texinfo errors
Date: Mon, 03 Jun 2013 22:56:59 -0700
Source: guile-1.8
Version: 1.8.8+1-8
Severity: serious

From my pbuilder build log:

...
Making all in doc
make[3]: Entering directory `/tmp/buildd/guile-1.8-1.8.8+1/doc'
Making all in tutorial
make[4]: Entering directory `/tmp/buildd/guile-1.8-1.8.8+1/doc/tutorial'
Updating ./version.texi
restore=: && backupdir=".am$$" && \
        am__cwd=`pwd` && CDPATH="${ZSH_VERSION+.}:" && cd . && \
        rm -rf $backupdir && mkdir $backupdir && \
        if (/bin/bash /tmp/buildd/guile-1.8-1.8.8+1/build-aux/missing makeinfo --version) >/dev/null 2>&1; then \
          for f in guile-tut-1.8.info guile-tut-1.8.info-[0-9] guile-tut-1.8.info-[0-9][0-9] guile-tut-1.8.i[0-9] guile-tut-1.8.i[0-9][0-9]; do \
            if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
          done; \
        else :; fi && \
        cd "$am__cwd"; \
        if /bin/bash /tmp/buildd/guile-1.8-1.8.8+1/build-aux/missing makeinfo   -I . \
         -o guile-tut-1.8.info guile-tut-1.8.texi; \
        then \
          rc=0; \
          CDPATH="${ZSH_VERSION+.}:" && cd .; \
        else \
          rc=$?; \
          CDPATH="${ZSH_VERSION+.}:" && cd . && \
          $restore $backupdir/* `echo "./guile-tut-1.8.info" | sed 's|[^/]*$||'`; \
        fi; \
        rm -rf $backupdir; exit $rc
guile-tut-1.8.texi:538: warning: command @print does not accept arguments
guile-tut-1.8.texi:543: warning: command @print does not accept arguments
guile-tut-1.8.texi:659: warning: command @print does not accept arguments
guile-tut-1.8.texi:660: warning: command @print does not accept arguments
guile-tut-1.8.texi:661: warning: command @print does not accept arguments
guile-tut-1.8.texi:449: raising the section level of @subsection which is too low
make[4]: *** [guile-tut-1.8.info] Error 1
make[4]: Leaving directory `/tmp/buildd/guile-1.8-1.8.8+1/doc/tutorial'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/buildd/guile-1.8-1.8.8+1/doc'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/guile-1.8-1.8.8+1'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/guile-1.8-1.8.8+1'
dh_auto_build: make -j1 returned exit code 2
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
-- 
Daniel Schepler




Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 04 Jun 2013 09:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#711029; Package src:guile-1.8. (Thu, 10 Oct 2013 22:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Thu, 10 Oct 2013 22:06:05 GMT) Full text and rfc822 format available.

Message #12 received at 711029@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 711029@bugs.debian.org
Subject: Re: guile-1.8: FTBFS: texinfo errors
Date: Fri, 11 Oct 2013 07:03:12 +0900
[Message part 1 (text/plain, inline)]
Hi,

 Incomplete patch is here, it fixes error in this bug report, but not enough
 (another warnings raise as below).

make[4]: Entering directory `/tmp/buildd/guile-1.8-1.8.8+1/doc/r5rs'
restore=: && backupdir=".am$$" && \
	am__cwd=`pwd` && CDPATH="${ZSH_VERSION+.}:" && cd . && \
	rm -rf $backupdir && mkdir $backupdir && \
	if (/bin/bash /tmp/buildd/guile-1.8-1.8.8+1/build-aux/missing makeinfo --version) >/dev/null 2>&1; then \
	  for f in r5rs.info r5rs.info-[0-9] r5rs.info-[0-9][0-9] r5rs.i[0-9] r5rs.i[0-9][0-9]; do \
	    if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
	  done; \
	else :; fi && \
	cd "$am__cwd"; \
	if /bin/bash /tmp/buildd/guile-1.8-1.8.8+1/build-aux/missing makeinfo   -I . \
	 -o r5rs.info r5rs.texi; \
	then \
	  rc=0; \
	  CDPATH="${ZSH_VERSION+.}:" && cd .; \
	else \
	  rc=$?; \
	  CDPATH="${ZSH_VERSION+.}:" && cd . && \
	  $restore $backupdir/* `echo "./r5rs.info" | sed 's|[^/]*$||'`; \
	fi; \
	rm -rf $backupdir; exit $rc
r5rs.texi:109: warning: @author missing argument
r5rs.texi:119: @unnumbered seen before @end titlepage
r5rs.texi:180: unmatched `@end titlepage'
r5rs.texi:763: warning: @center missing argument
r5rs.texi:782: warning: @item missing argument
r5rs.texi:5569: warning: @center missing argument
r5rs.texi:5584: warning: @item missing argument
r5rs.texi:7277: warning: @cindex should not appear in @t
r5rs.texi:7284: warning: @cindex should not appear in @t
r5rs.texi:7313: warning: @cindex should not appear in @t
r5rs.texi:7314: warning: @cindex should not appear in @t
r5rs.texi:7323: warning: @cindex should not appear in @t
r5rs.texi:7394: warning: @vindex should not appear in @t
r5rs.texi:7395: warning: @vindex should not appear in @t
r5rs.texi:7397: warning: @vindex should not appear in @t
r5rs.texi:7399: warning: @vindex should not appear in @t
r5rs.texi:7402: warning: @vindex should not appear in @t
r5rs.texi:8060: warning: @center missing argument
r5rs.texi:8062: warning: @center missing argument
r5rs.texi:193: warning: lowering the section level of @top appearing after a lower element
make[4]: *** [r5rs.info] Error 1


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[guile-1.8.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#711029; Package src:guile-1.8. (Tue, 24 Dec 2013 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dimitri John Ledkov <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Tue, 24 Dec 2013 21:12:04 GMT) Full text and rfc822 format available.

Message #17 received at 711029@bugs.debian.org (full text, mbox):

From: Dimitri John Ledkov <xnox@debian.org>
To: 711029@bugs.debian.org
Subject: guile-1.8 texi woes
Date: Tue, 24 Dec 2013 21:08:33 +0000
[Message part 1 (text/plain, inline)]
The r5rs.texi document can be fixed by importing fixes from guile-2.0 code base.

Build further fails for me at test-suite however.

Updated debdiff attached.

-- 
Regards,

Dimitri.
[guile-1.8-texi.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#711029; Package src:guile-1.8. (Tue, 04 Feb 2014 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Tue, 04 Feb 2014 18:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 711029@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Dimitri John Ledkov <xnox@debian.org>, 711029@bugs.debian.org
Subject: Re: Bug#711029: guile-1.8 texi woes
Date: Tue, 4 Feb 2014 18:12:44 +0000
[Message part 1 (text/plain, inline)]
On Tue, Dec 24, 2013 at 09:08:33PM +0000, Dimitri John Ledkov wrote:
> The r5rs.texi document can be fixed by importing fixes from guile-2.0 code base.
> 
> Build further fails for me at test-suite however.
> 
> Updated debdiff attached.

Here's the remaining piece, on top of Dimitri's patch.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[guile-1.8-formfeed-hack.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#711029; Package src:guile-1.8. (Tue, 04 Feb 2014 18:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Tue, 04 Feb 2014 18:21:13 GMT) Full text and rfc822 format available.

Message #27 received at 711029@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Dimitri John Ledkov <xnox@debian.org>, 711029@bugs.debian.org
Subject: Re: Bug#711029: guile-1.8 texi woes
Date: Tue, 4 Feb 2014 18:19:44 +0000
On Tue, Feb 04, 2014 at 06:12:44PM +0000, Colin Watson wrote:
> +-	makeinfo --force -o $@ guile-procedures.texi || test -f $@
> ++	makeinfo --force --no-headers guile-procedures.texi | sed 's/  *//g' > $@

There are two literal formfeeds in there, BTW.  Be careful if applying
this patch by hand (which was why I attached it, to minimise the
probability of corruption).

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#711029; Package src:guile-1.8. (Sun, 09 Feb 2014 22:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob Browning <rlb@defaultvalue.org>:
Extra info received and forwarded to list. (Sun, 09 Feb 2014 22:18:10 GMT) Full text and rfc822 format available.

Message #32 received at 711029@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 711029@bugs.debian.org, Dimitri John Ledkov <xnox@debian.org>
Subject: Re: Bug#711029: guile-1.8 texi woes
Date: Sun, 09 Feb 2014 16:14:49 -0600
Colin Watson <cjwatson@ubuntu.com> writes:

> On Tue, Feb 04, 2014 at 06:12:44PM +0000, Colin Watson wrote:
>> +-	makeinfo --force -o $@ guile-procedures.texi || test -f $@
>> ++	makeinfo --force --no-headers guile-procedures.texi | sed 's/  *//g' > $@
>
> There are two literal formfeeds in there, BTW.  Be careful if applying
> this patch by hand (which was why I attached it, to minimise the
> probability of corruption).

Just uploaded 1.8.8+1-9, which includes all of these fixes, and will
hopefully resolve the problem.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4



Reply sent to Rob Browning <rlb@defaultvalue.org>:
You have taken responsibility. (Sun, 09 Feb 2014 22:21:15 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Sun, 09 Feb 2014 22:21:15 GMT) Full text and rfc822 format available.

Message #37 received at 711029-close@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: 711029-close@bugs.debian.org
Subject: Bug#711029: fixed in guile-1.8 1.8.8+1-9
Date: Sun, 09 Feb 2014 22:19:33 +0000
Source: guile-1.8
Source-Version: 1.8.8+1-9

We believe that the bug you reported is fixed in the latest version of
guile-1.8, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rob Browning <rlb@defaultvalue.org> (supplier of updated guile-1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 09 Feb 2014 15:30:08 -0600
Source: guile-1.8
Binary: guile-1.8 guile-1.8-dev guile-1.8-doc guile-1.8-libs
Architecture: source amd64 all
Version: 1.8.8+1-9
Distribution: unstable
Urgency: medium
Maintainer: Rob Browning <rlb@defaultvalue.org>
Changed-By: Rob Browning <rlb@defaultvalue.org>
Description: 
 guile-1.8  - GNU extension language and Scheme interpreter
 guile-1.8-dev - Development files for Guile 1.8
 guile-1.8-doc - Documentation for Guile 1.8
 guile-1.8-libs - Core Guile libraries
Closes: 646544 711029
Changes: 
 guile-1.8 (1.8.8+1-9) unstable; urgency=medium
 .
   * Explicitly link against -lpthread on hurd-i386.  This fixes some
     crashes that were caused when Guile dlopened a library that was linked
     against libpthread, which needs to initialize itself much earlier in
     the startup process.  Thanks to Samuel Thibault <sthibault@debian.org>
     for the report and the fix. (Closes: #646544)
 .
   [ Hideki Yamane ]
   * Fix problems in guile-tut.texi that cause makeinfo to
     fail (partially fixes #711029).
     0008-Fix-problems-in-guile-tut.texi-that-cause-makeinfo-t.patch
 .
   [ Dimitri John Ledkov ]
   * Fix r5rs.texi makeinfo failure by applying changes from guile-2.0
     (partially fixes #711029).
     0009-Fix-r5rs.texi-makeinfo-failure-by-applying-changes-f.patch
 .
   [ Colin Watson ]
   * Fix test-suite failure caused by formfeed differences in texinfo 5.
     The version of makeinfo in texinfo 5.2 (at least) emits
     slightly-differently-formatted output that breaks
     ice-9/documentation.scm, and hence the test suite.  Later versions of
     Guile implement their own texinfo parsing and thus no longer rely on
     makeinfo for this, but this workaround is enough to fix the test suite
     for now. (Closes: #711029)
     0010-Fix-test-suite-failure-caused-by-formfeed-difference.patch
 .
   * Fix incompatibility with automake 1.13; specify serial-tests.  As of
     automake 1.13, the default test harness changed to a newer one that's
     not compatible with Guile 1.8's current arrangement.  Specify
     serial-tests to select the old harness.
     0011-Fix-incompatibility-with-automake-1.13-specify-seria.patch
Checksums-Sha1: 
 2dc782e0120a8737a2b08da98f963efd5cb7cf41 2024 guile-1.8_1.8.8+1-9.dsc
 5c6ab245d79038efcd1e8d4ae564576aea92ed72 16696 guile-1.8_1.8.8+1-9.debian.tar.xz
 b542e14a84b7e80893d50650b352fe127f5db944 12986 guile-1.8_1.8.8+1-9_amd64.deb
 4dc92ca0a751b75f178125cb6443fc89266679db 489632 guile-1.8-dev_1.8.8+1-9_amd64.deb
 a440a3ed49881a7834f435977c9658a42aac35b2 118710 guile-1.8-doc_1.8.8+1-9_all.deb
 c24ccff1757366fc3c6ddc1d163c2293c5bf49df 600882 guile-1.8-libs_1.8.8+1-9_amd64.deb
Checksums-Sha256: 
 a92bf1ddcb34c0ff622d2cee547abb75622a312a62556d2b5f3df59f125bb5bc 2024 guile-1.8_1.8.8+1-9.dsc
 b34adfe8cfdc3f2753fbb9b70fbe6a6df99f48aa9fa29ebb78c4afc0ed550df1 16696 guile-1.8_1.8.8+1-9.debian.tar.xz
 0257cd2be3e4e0e257cbec63c33c57f3c6bda2a2d2adc24711a128aaeb0a892f 12986 guile-1.8_1.8.8+1-9_amd64.deb
 e67dae8aaedfacf2c3688648c744c02f45487e2174c5e2ff27db65225741c977 489632 guile-1.8-dev_1.8.8+1-9_amd64.deb
 4381300c14b7cf197293dc376a57ace29fb4484809fe04be7a0be2e6d3877b34 118710 guile-1.8-doc_1.8.8+1-9_all.deb
 a0a13fcce09a033fcdb23252bfecdc8d24555f6c5b8b521c241a2442dbfa852f 600882 guile-1.8-libs_1.8.8+1-9_amd64.deb
Files: 
 64d4cf3368ca1cae7b821746c5f70f28 2024 interpreters optional guile-1.8_1.8.8+1-9.dsc
 cc22bb240bfc86f9586dc2484cc45e29 16696 interpreters optional guile-1.8_1.8.8+1-9.debian.tar.xz
 b843329cec221d67d6b9b146a9199f4f 12986 lisp optional guile-1.8_1.8.8+1-9_amd64.deb
 9191c6efde238aa8b8855840f80576a5 489632 lisp optional guile-1.8-dev_1.8.8+1-9_amd64.deb
 d595bda9fa0cf8ffc623ab5355b6d04d 118710 doc optional guile-1.8-doc_1.8.8+1-9_all.deb
 9861047b53da771830f0625af993bba9 600882 lisp optional guile-1.8-libs_1.8.8+1-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS9/yJAAoJEO7xFsVaWkLx+Q0P/17J6be+C/IxSSaNRtBTn8Xy
z23dTDVQ6gO92rrFOEoPZxsAMFvJv6mki9EmN4Uxuv4N7DXkh4JthuUnW0VBPRDR
/utLnIFK1Cl1zIPb0ff0P4cl+fe5+qLvyhQsg34nkJ8SurITVY072wxxiZqsD6AP
pChyDRaM22bNu/J4n8z6VnUqWDPBBfrQEgI1wtL4GV0E4Fqy5pMwide7stM/lifx
PLFqFNn0m8FbmDPJODmgXAJ4bGrzBNvHFqSAQlJ+ORg8T1zz8ol3EC82zBpmCSp1
++WD10aLtf/BCLk8mKJGRRgeCj1pAUAkGSKQv5NMNBi5si89HEjhBMejVcIBoq3a
EE4txTQtjywSAv0+NGeemAXLKM/siLQ1+56WeTbjEvqdu9H9FJ1tE0GOnB3Jz4jQ
siiTFnnyAQGtPVk4Nh0jer/klqACU3iYpjYn0aK47TQMdf/6bex9l433rrUoJPOS
MdGoF28jXwJIS0ix76juXAeFMFoZ+/HyMHVdXrHhLX4EJbbKD/5mxVsOCZuY58m7
wHLdI4nFCUU7eRyudsenzRO4Bz6Pu6SRX/1+FYjhNkGPV5cXwH85bNEg/YIEeLER
bgTq7Ykfwl603g1t7SmxdYEXg+lQL4JDcdn5aDy+T1qZ06nWfRRhlqaD9qIybIem
M83LffVscFDGnzi+duq1
=fREn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Mar 2014 07:29:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:57:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.